﻿using System;
using System.Security.Principal;
using System.Web;
using System.Web.Mvc;
using System.Web.Routing;
using System.Web.Security;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using MVCBugTracker;
using MVCBugTracker.Controllers;
using MVCBugTracker.Models;
using System.Linq;
using System.Collections.Generic;

namespace MVCBugTracker.Tests.Mocks
{
    public class MockProfileRepository : IProfileRepository
    {
        public UserProfile GetProfile(string userName)
        {
            return new UserProfile() { UserName = userName, FullName = "Paul Juenger", DefaultProjectID = 1 };
        }

        public void AddProfile(UserProfile profile)
        {
            // Add Fake Profile
        }

        public void DeleteProfile(UserProfile profile)
        {
            // Delete Fake Profile
        }

        public void Save()
        {
            // Save Fake Profile Repository
        }
    }
}
