﻿using System.Web.Mvc;

namespace MVCBugTracker.Areas.UserManagement
{
    public class UserManagementAreaRegistration : AreaRegistration
    {
        public override string AreaName
        {
            get
            {
                return "UserManagement";
            }
        }

        public override void RegisterArea(AreaRegistrationContext context)
        {
            context.MapRoute(
                "UserManagement_default",
                "UserManagement/{controller}/{action}/{userName}",
                new { action = "Index", userName = UrlParameter.Optional }
            );
        }
    }
}
