﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<MVCBugTracker.Areas.UserManagement.ViewModels.UserIndexViewModel>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
    User List
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <h2>
        User List</h2>
    <table>
        <tr>
            <th>
            </th>
            <th>
                User Name
            </th>
            <th>
                Email
            </th>
            <th>
                Online
            </th>
            <th>
                Last Login
            </th>
            <th>
                Creation Date
            </th>
            <th>
                Approved
            </th>
            <th>
                Locked
            </th>
            <th>
                Comment
            </th>
        </tr>
        <% foreach (MembershipUser user in Model.Users)
           { %>
        <tr>
            <td>
                <%: Html.ActionLink("Edit", "Edit", new { userName=user.UserName }) %>
                |
                <%: Html.ActionLink("Delete", "Delete", new { userName=user.UserName })%>
            </td>
            <td>
                <%: user.UserName %>
            </td>
            <td>
                <%: user.Email %>
            </td>
            <td>
                <%: user.IsOnline %>
            </td>
            <td>
                <%: user.LastLoginDate %>
            </td>
            <td>
                <%: user.CreationDate %>
            </td>
            <td>
                <%: user.IsApproved %>
            </td>
            <td>
                <%: user.IsLockedOut %>
            </td>
            <td>
                <%: user.Comment %>
            </td>
        </tr>
        <% } %>
    </table>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
