﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<MVCBugTracker.ViewModels.AccountProfileViewModel>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
    Profile
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <h2>
        Profile</h2>
    <% using (Html.BeginForm())
       { %>
    <%: Html.ValidationSummary(true, "Account creation was unsuccessful. Please correct the errors and try again.")%>
    <div>
        <div class="editor-label">
            Full Name
        </div>
        <div class="editor-field">
            <%: Html.TextBoxFor(m => m.Profile.FullName)%>
            <%: Html.ValidationMessageFor(m => m.Profile.FullName)%>
        </div>
        <div class="editor-label">
            Default Project
        </div>
        <div class="editor-field">
            <%: Html.DropDownListFor(m => m.Profile.DefaultProjectID, new SelectList(Model.UsersProjects, "ProjectID", "Name", Model.Profile.DefaultProjectID), new { style = "width:200px" })%>
        </div>
        <p>
            <input type="submit" value="Save" />
            <%: Html.ActionLink("Change Password", "ChangePassword", "Account", null, new { @class = "button" })%>
        </p>
    </div>
    <% } %>
    <% Html.RenderPartial("Message", Model); %>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
