﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<MVCBugTracker.ViewModels.BugAttachmentsViewModel>" %>
<div id="attachments">
    <% if (Model.BugAttachments.Count() > 0)
       { %>
    <table>
        <tr>
            <th>
                File Name
            </th>
            <th>
                Uploaded by
            </th>
            <th>
            </th>
        </tr>
        <% foreach (MVCBugTracker.Models.BugAttachment attachment in Model.BugAttachments)
           { %>
        <tr>
            <td>
                <%: Html.ActionLink(attachment.FileName, "GetAttachment", new { id = attachment.AttachmentID }) %>
            </td>
            <td>
                <%: attachment.UserName %>
            </td>
            <td>
                <%: Ajax.ActionLink("Delete", "DeleteAttachment", new { id = attachment.AttachmentID }, new AjaxOptions { UpdateTargetId = "attachments", OnFailure = "handleFailure", Confirm = "Are you sure you want to delete this attachment?" })%>
            </td>
        </tr>
        <% } %>
    </table>
    <% } %><br />
    <% using (Html.BeginForm("AddAttachment", "Bug", new { id = Model.BugID }, FormMethod.Post, new { enctype = "multipart/form-data" }))
       { %>
    <label for="file">
        Filename:</label>
    <input type="file" name="file" id="file" />
    <input type="submit" name="submit" value="Submit" />
    <% } %>
    <% Html.RenderPartial("Message", Model); %>
</div>
