﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<MVCBugTracker.ViewModels.BugNotificationViewModel>" %>
<div id="notifications">
    <% if (Model.BugNotifications.Count > 0)
       { %>
    <table>
        <tr>
            <th>
                User Name
            </th>
            <th>
            </th>
        </tr>
        <% foreach (var item in Model.BugNotifications)
           { %>
        <tr>
            <td>
                <%: item.UserName %>
            </td>
            <td>
                <% if (item.UserName == HttpContext.Current.User.Identity.Name) %>
                    <%: Ajax.ActionLink("Delete", "DeleteNotification", new { id = item.NotificationID }, new AjaxOptions { UpdateTargetId = "notifications", OnFailure = "handleFailure", Confirm = "Are you sure you want to delete this notification?", OnSuccess = "styleControls" })%>
            </td>
        </tr>
        <% } %>
    </table>
    <% } %>
        <% var hasNotification = (from n in Model.BugNotifications
                              where n.UserName == HttpContext.Current.User.Identity.Name
                              select n).Count();
       if (hasNotification == 0)  %>
    <%: Ajax.ActionLink("Add Notification", "AddNotification", new { id = Model.BugID }, new AjaxOptions { UpdateTargetId = "notifications", OnFailure = "handleFailure" }, new { @class = "button" })%>
    <br />
    <% Html.RenderPartial("Message", Model); %>
</div>
