﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<MVCBugTracker.ViewModels.ProjectMemberViewModel>" %>
<div id="members">
    <% if (Model.AllUsers.Count > 0)
       { %>
    <% using (Ajax.BeginForm("UpdateMembers", "Project", new { id = Model.ProjectID }, new AjaxOptions { UpdateTargetId = "members", OnFailure = "handleFailure", OnSuccess="styleControls" }))
       { %>
    <div style="float: left">
        <b>Users</b><br />
        <select name="nonmembers" multiple="multiple" size="10" style="width: 150px">
            <% foreach (string user in Model.AllUsers)
               {
                   MVCBugTracker.Models.ProjectMember member = (from m in Model.Members
                                                                where m.UserName == user
                                                                select m).SingleOrDefault();
                   if (member == null)
                       Response.Write(string.Format("<option value=\"{0}\">{1}</option>", user, user)); %>
            <% } %>
        </select>
    </div>
    <div style="float: left; padding: 50px 10px;">
        <input type="submit" value=">" name="add" />
        <br />
        <br />
        <input type="submit" value="<" name="remove" />
    </div>
    <div style="float: left">
        <b>Members</b><br />
        <select name="members" multiple="multiple" size="10" style="width: 150px">
            <% foreach (MVCBugTracker.Models.ProjectMember member in Model.Members)
               {
                   Response.Write(string.Format("<option value=\"{0}\">{1}</option>", member.UserName, member.UserName));
               }
           %>
        </select>
    </div>
    <div class="clear">
    </div>
    <% } %>
    <% } %>
    <% Html.RenderPartial("Message", Model); %>
</div>
