﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<MVCBugTracker.ViewModels.ProjectMilestoneViewModel>" %>
<div id="milestones">
    <% if (Model.Milestones.Count > 0)
       { %>
    <table id="milestone-table">
        <tr>
            <th>
            </th>
            <th>
                Milestone
            </th>
            <th>
                Image
            </th>
        </tr>
        <% foreach (var item in Model.Milestones)
           { %><tr id="#row-<%: item.MilestoneID %>">
               <td>
                   <%: Ajax.ActionLink("Delete", "DeleteMilestone", new { id = item.MilestoneID }, new AjaxOptions { UpdateTargetId = "milestones", OnFailure = "handleFailure", Confirm = "Are you sure you want to delete this Milestone?", OnSuccess = "styleControls" })%>
               </td>
               <td>
                   <%: item.Name%>
               </td>
               <td style="text-align: center;">
                   <img src="<%: ResolveUrl(item.ImageUrl) %>" alt="" />
               </td>
           </tr>
        <% } %>
    </table>
    <% } %>
    <% using (Ajax.BeginForm("AddMilestone", "Project", new { id = Model.ProjectID }, new AjaxOptions { UpdateTargetId = "milestones", OnFailure = "handleFailure", OnSuccess = "styleControls" }))
       { %>
    <p>
        <label for="name">
            Milestone Name:</label>
        <%: Html.TextBox("milestoneName", "")%></p>
    <p>
        <% int count = 0;
           foreach (string s in Model.ImagesUrls)
           {%>
        <input type="radio" name="imageurl" value="<%: s %>" <%= count == 0 ? "checked=\"checked\"" : "" %> /><img
            src="<%: ResolveUrl(s) %>" alt="" />
        <% count++;
           } %>
    </p>
    <p>
        <input type="submit" value="Submit" /></p>
    <% } %>
    <% Html.RenderPartial("Message", Model); %>
</div>
