﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<MVCBugTracker.ViewModels.ProjectStatusViewModel>" %>
<div id="statuses">
    <% if (Model.Statuses.Count > 0)
       { %>
    <table id="status-table">
        <tr>
            <th>
            </th>
            <th>
                Statuses
            </th>
            <th>
                Image
            </th>
        </tr>
        <% foreach (var item in Model.Statuses)
           { %><tr id="#row-<%: item.StatusID %>">
               <td>
                   <%: Ajax.ActionLink("Delete", "DeleteStatus", new { id = item.StatusID }, new AjaxOptions { UpdateTargetId = "statuses", OnFailure = "handleFailure", OnSuccess = "styleControls", Confirm = "Are you sure you want to delete this status?" })%>
               </td>
               <td>
                   <%: item.Name%>
               </td>
               <td style="text-align: center;">
                   <img src="<%: ResolveUrl(item.ImageUrl) %>" alt="" />
               </td>
           </tr>
        <% } %>
    </table>
    <% } %>
    <% using (Ajax.BeginForm("AddStatus", "Project", new { id = Model.ProjectID }, new AjaxOptions { UpdateTargetId = "statuses", OnFailure = "handleFailure", OnSuccess = "styleControls" }))
       { %>
    <p>
        <label for="name">
            Status Name:</label>
        <%: Html.TextBox("statusname", "")%></p>
    <p>
        <% int count = 0;
           foreach (string s in Model.ImagesUrls)
           {%>
        <input type="radio" name="imageurl" value="<%: s %>" <%= count == 0 ? "checked=\"checked\"" : "" %> />
        <img src="<%: ResolveUrl(s) %>" alt="" />
        <% count++;
           } %></p>
    <p>
        <input type="submit" value="Submit" /></p>
    <% } %>
    <% Html.RenderPartial("Message", Model); %>
</div>
